org.apache.hadoop.yarn.server.federation.policies.exceptions

## Class UnknownSubclusterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hadoop.yarn.exceptions.YarnException
      - - org.apache.hadoop.yarn.server.federation.policies.exceptions.FederationPolicyException
        - - org.apache.hadoop.yarn.server.federation.policies.exceptions.UnknownSubclusterException

- All Implemented Interfaces:
    Serializable

      public class UnknownSubclusterException
      extends FederationPolicyException

  This exception is thrown whenever a policy is given a `SubClusterId` that is unknown.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownSubclusterException(String s)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownSubclusterException

          public UnknownSubclusterException(String s)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.